Solaris 7 : unable to install patch 106327-09

Solaris 7 : unable to install patch 106327-09

Post by Tom Eiche » Wed, 22 Aug 2001 00:10:47



hi,

I installed jdk1.3.1 on my Solaris 7 box. running java results in a
complaint
about "libCrun.so.1". This is a well-known problem and fixed by
installing
patches 106300-09 or later, and 106327-08 or later.

I installed a lot of patches that were available as a bundle download
for Sol7.
I installed 106300-09 alright. (marked as requiring 106327-07 in showrev
-p)

Trying to install 106327-09, I get the error message
"One or more patch packages included in 106327-09 are not installed on
this system".
The same is true for the previous version 106327-08.

Someone mentioned this was due to missing packages SUNWlibC and
SunWlibCx, but
pkginfo shows these are installed.
106950-13 is also installed (showrev -p)

So I am stuck without 106327-0?, and therefore unable to run Java on our
UltraSparc. :-(

Any help appreciated.


--

http://www.sme.de/tom.html
phone:+49-89-326740-13

  teicher.vcf
< 1K Download
 
 
 

Solaris 7 : unable to install patch 106327-09

Post by Jerem » Wed, 22 Aug 2001 07:20:55



> Someone mentioned this was due to missing packages SUNWlibC and
> SunWlibCx, but
> pkginfo shows these are installed.
> 106950-13 is also installed (showrev -p)

> So I am stuck without 106327-0?, and therefore unable to run Java on our
> UltraSparc. :-(

If you cd's inside the patch directory, you should be able alla of the
packages interessed in patchadd.

jeremy

 
 
 

Solaris 7 : unable to install patch 106327-09

Post by Tom Eiche » Wed, 22 Aug 2001 23:44:53




> > Someone mentioned this was due to missing packages SUNWlibC and
> > SunWlibCx, but
> > pkginfo shows these are installed.
> > 106950-13 is also installed (showrev -p)
> > So I am stuck without 106327-0?, and therefore unable to run Java on our
> > UltraSparc. :-(
> If you cd's inside the patch directory, you should be able alla of the
> packages interessed in patchadd.

Sorry, I do not understand what you are telling me.
Are you talking about a way to apply the patch inspite the fact that
it refuses to do so with patchadd ?

tom

  teicher.vcf
< 1K Download
 
 
 

Solaris 7 : unable to install patch 106327-09

Post by Tom Eiche » Fri, 24 Aug 2001 00:59:35


Several people pointed out to me, that the error message ist just
a warning and that the patch will be applied anyway.

Still, showrev -p shows that the patch is NOT installed.
patchadd also sais "patchadd is terminating".

any ideas welcome,

Tom.


> hi,

> I installed jdk1.3.1 on my Solaris 7 box. running java results in a
> complaint
> about "libCrun.so.1". This is a well-known problem and fixed by
> installing
> patches 106300-09 or later, and 106327-08 or later.

> I installed a lot of patches that were available as a bundle download
> for Sol7.
> I installed 106300-09 alright. (marked as requiring 106327-07 in showrev
> -p)

> Trying to install 106327-09, I get the error message
> "One or more patch packages included in 106327-09 are not installed on
> this system".
> The same is true for the previous version 106327-08.

> Someone mentioned this was due to missing packages SUNWlibC and
> SunWlibCx, but
> pkginfo shows these are installed.
> 106950-13 is also installed (showrev -p)

> So I am stuck without 106327-0?, and therefore unable to run Java on our
> UltraSparc. :-(

> Any help appreciated.


> --

> http://www.sme.de/tom.html
> phone:+49-89-326740-13

--

Mit freundlichen Gruessen,
Tom Eicher
SME GmbH


http://www.sme.de/tom.html
phone:+49-89-326740-13

  teicher.vcf
< 1K Download
 
 
 

Solaris 7 : unable to install patch 106327-09

Post by Mathew Kirsc » Fri, 24 Aug 2001 00:42:56



> > If you cd's inside the patch directory, you should be able alla of the
> > packages interessed in patchadd.

> Sorry, I do not understand what you are telling me.
> Are you talking about a way to apply the patch inspite the fact that
> it refuses to do so with patchadd ?

No, he's telling you that you can examine the contents of the patch to
determine which packages it requires. Then, you can make sure ALL of these
packages are installed.

The log file your patch attempt generates in /var/sadm/install_data should
tell you which packages are missing.

 
 
 

1. what's up with 106327 ?

patch 106327-07 (SunOS 5.7: Shared library patch for C++) has been
marked as BADPATH some days ago. 106300 (the same for 64bit) is
still valid in patchdiag.xref, and it requires 106327.

I haven't seen any problems with 106327 discussed here, so maybe someone
can shed some light on this.

mp.
--
                         Martin Paul | Systems Administrator

Liechtensteinstrasse 22, A-1090 Wien | Tel: 01 4277 38803
        http://www.par.univie.ac.at/ | Fax: 01 4277 9388

2. info requested on XDOS and SoftPC

3. Solaris 9 (04/09), Jumpstart - patching problem

4. Configurate X

5. Solaris x86 Patch 103188-09 Installation Bombs...

6. Problems with gdb-4.8 (g++), RS6000

7. Securely installing Solaris 9 (09/04)

8. rdbms for linux

9. KP: unable to mount root fs on 08 :09

10. Top 10 posters for the 7 day period ending 2001-09-09.

11. NOTE 09/09/94 09:06:00

12. breakdown at 2001/09/09 01:46:40 ?

13. Top 10 posters for the 7 day period ending 2001-09-09.